Add or update attributes
Adds new attributes to a record, or updates existing ones.
- If a record with the specified object ID doesn’t exist,
a new record is added to the index if
createIfNotExistsis true. - If the index doesn’t exist yet, this method creates a new index.
- Use first-level attributes only. Nested attributes aren’t supported. If you specify a nested attribute, this operation replaces its first-level ancestor.
Increment: increment a numeric attribute.Decrement: decrement a numeric attribute.Add: append a number or string element to an array attribute.Remove: remove all matching number or string elements from an array attribute made of numbers or strings.AddUnique: add a number or string element to an array attribute made of numbers or strings only if it’s not already present.IncrementFrom: increment a numeric integer attribute only if the provided value matches the current value. Otherwise, the update is ignored. Example: If you pass anIncrementFromvalue of 2 for theversionattribute but the current value is 1, the API ignores the update. If the object doesn’t exist, the API only creates it if you pass anIncrementFromvalue of 0.IncrementSet: increment a numeric integer attribute only if the provided value is greater than the current value. Otherwise, the update is ignored. Example: If you pass anIncrementSetvalue of 2 for theversionattribute and the current value is 1, the API updates the object. If the object doesn’t exist yet, the API only creates it if you pass anIncrementSetvalue greater than 0.
_operation: the operation to apply on the attribute.value: the right-hand side argument to the operation, for example, increment or decrement step, or a value to add or remove.
addObjectAuthorizations
Your Algolia application ID.
Your Algolia API key with the necessary permissions to make the request. Permissions are controlled through access control lists (ACL) and access restrictions. The required ACL to make a request is listed in each endpoint's reference.
Path Parameters
Name of the index on which to perform the operation.
"ALGOLIA_INDEX_NAME"
Unique record identifier.
"test-record-123"
Query Parameters
Whether to create a new record if it doesn't exist.
Body
Attributes with their values.
Attributes to update.
Response
OK
Response, taskID, unique object identifier, and an update timestamp.
Unique record identifier.
"test-record-123"
Unique identifier of a task.
A successful API response means that a task was added to a queue.
It might not run immediately.
You can check the task's progress with the task operation and this task ID.
1514562690001
Date and time when the object was updated, in RFC 3339 format.
"2023-07-04T12:49:15Z"